"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createKeywordCandidatesFromExpectedLiterals = void 0;
const utils_1 = require("../utils");
const UNDESIRED_LITERAL = [
    '+',
    '-',
    '*',
    '$',
    ':',
    'COUNT',
    'AVG',
    'SUM',
    'MIN',
    'MAX',
    '`',
    '"',
    "'",
];
function createKeywordCandidatesFromExpectedLiterals(nodes) {
    const literals = nodes.map((v) => v.text);
    const uniqueLiterals = [...new Set(literals)];
    return uniqueLiterals
        .filter((v) => !UNDESIRED_LITERAL.includes(v))
        .map((v) => {
        switch (v) {
            case 'ORDER':
                return 'ORDER BY';
            case 'GROUP':
                return 'GROUP BY';
            case 'LEFT':
                return 'LEFT JOIN';
            case 'RIGHT':
                return 'RIGHT JOIN';
            case 'INNER':
                return 'INNER JOIN';
            default:
                return v;
        }
    })
        .map((v) => (0, utils_1.toCompletionItemForKeyword)(v));
}
exports.createKeywordCandidatesFromExpectedLiterals = createKeywordCandidatesFromExpectedLiterals;
//# sourceMappingURL=createKeywordCandidatesFromExpectedLiteral.js.map